#include "Program.h"
#include "Frame.h"




Frame window("Hello World Program", 200, 200, 400, 400);
int lastx;
int lasty;
int visible;


void OnStart(void) {
  window.Clear();
  window.DrawText("Hello World!", 20, 20);
  lastx = 20;
  lasty = 20;
  visible = 1; 
}

void OnMouseEvent(char *frameName, int x, int y, int buttonState){
  if (buttonState & leftButtonDown) {
    window.Clear();
    if (visible)  window.DrawText("Hello World!",x,y);
    lastx = x; 
    lasty = y;
  }
}

void OnTimerEvent(void){
  window.Clear();
  if (visible) visible = 0;
  else { visible = 1;
         window.DrawText("Hello World!", lastx, lasty);
       }
}

void OnPaint(void){
    window.Clear();
    if (visible) window.DrawText("Hello World!", lastx, lasty);
}
