#include "Query.h"
#include "wx.h"

Query::Query (char* searchText){
   search = copystring(searchText);
   result = (char*)0;
}

Query::Query(){
   search = (char*)0;
   result = (char*)0;
}

void  Query::SetSearch(char* searchText){
   search = copystring(searchText);
}

char* Query::GetSearch(){
   return copystring(search);
}

void  Query::AskUser(){
  search = wxGetTextFromUser("Input Search String", "Search For");
}

void  Query::SetResult(char* resultText){
   result = copystring(resultText);
}

char* Query::GetResult(){
   return copystring(result);
}

Query::~Query(){
  if(search) delete search;
  if(result) delete result;
}

