
#include "Clock.h"
#include "Program.h"


ClockMechanism::ClockMechanism(char* name) 
{ clockName = copystring(name);
}

void ClockMechanism::Notify(void) 
{  OnTimerEvent(clockName); 
}


Clock::Clock(char* name, int interval) : timer(name)   
{ clockInterval =interval;          
  clockName     = copystring(name);
}

void Clock::SetInterval(int newInterval){ clockInterval = newInterval;}
void Clock::Start()              { timer.Start(clockInterval); }
void Clock::Stop()               { timer.Stop();          }
int Clock::IsNamed(char* name)   { return (int)StringMatch(clockName, name);}
Clock::~Clock() {}







