#include "wx.h"
#include "Selector.h"

Selector::Selector(char* label) {
  theLabel = copystring(label);
  nchoices = -1;
}

void Selector::Add(char* alternative) {
  choices[++nchoices] = copystring(alternative);
}

char* Selector::AskUser() {
  return wxGetSingleChoice("File Chooser", theLabel, nchoices, choices);
}

Selector::~Selector() {
   delete theLabel;
   while(nchoices >= 0) delete choices[nchoices--];
 }
