#ifndef _FILE_H
#define _FILE_H

#include "Query.h"

class File {
private:
   char* name;

public:

       File(char* fileName);               // represents file with given name
       File();                             // unknown, as yet, file
 char* Name();                             // reply name of file
 int   Exists();                           // does file Exist?
 void  SearchFor(Query& q);                // search for given text in file
 void  View();                             // scrollable view window
 void  Edit(char* editor);                 // edit file using "editor"
 void  Delete();                           // delete file 
 void  CopyTo(File& other);                // copy me to other
 void  CopyFrom(File& other);              // copy other to me
      ~File();                             // free name
};

#endif
