#ifndef _PANEL_H_
#define _PANEL_H_

#include "wx.h"
#include "Frame.h"
#include "Button.h"
#include "TextBox.h"
#include "Location.h"
#include "Shape.h"


class Panel {
 private:
   wxPanel       *wxp;          // hidden wxPanel object
   char          *name;        
   Location       location;
   Shape          shape;
   Frame         *frame;       // Frame to which this is attached
   void CreateIfNeeded();
 public:
   Panel(Frame& fr, char *nm, Location loc, Shape sh);
   char* getName();
   void Add(Button& button);
   void Add(TextBox& tbox);
  ~Panel();
 };

#endif
