
#ifndef _POLYSHAPE_H
#define _POLYSHAPE_H

#include "LocationNode.h"
#include "Canvas.h"

class PolyShape
{
private:
	LocationNode *head;
	LocationNode *tail;
	int currentX, currentY;
	int length;
public:

	PolyShape(int x, int y); 
	void Up   (int n);
	void Down (int n);
	void Left (int n);
	void Right(int n);
	void Mark();
	void Draw(Canvas& canvas);
	~PolyShape();
};

#endif
