#include "Location.h"


Location::Location( int x, int y ) {
  currentX = x; currentY = y; }

Location::Location () {
  currentX = -1; currentY = -1; }

int Location::Xcoord() const { return currentX; }

int Location::Ycoord() const { return currentY; }

void Location::setX(int newX) { currentX = newX; }
void Location::setY(int newY) { currentY = newY; }

int Location::isSameAs(const Location& other) const {
    if ((currentX == other.Xcoord()) &&
	(currentY == other.Ycoord())   )
		return 1;
	else
		return 0;
}

int Location::isInList(const Location* const list, 
		       const int listLength ) const 
{   for(int i=0; i<listLength; i++)
      if ( (currentX == list[i].Xcoord()) &&
	     (currentY == list[i].Ycoord())   )
	     return 1;

	return 0;
}


