#include "MessageList.h"

MessageList::MessageList()
{ head = (MessageNode*)0;
  tail = (MessageNode*)0;
}

void MessageList::AddAtEnd(Message *msg)
{ MessageNode *node = new MessageNode(msg);
  if (tail != (MessageNode*)0 ) tail->Append(node);
  else head = node; 
  tail = node;
}

void MessageList::AddAtFront(Message *msg)
{ MessageNode *node = new MessageNode(msg);
  if (head != (MessageNode*)0 ) node->Append(head);
  else tail = node; 
  head = node;
}

void MessageList::DrawAll()
{ MessageNode* node = head;

  while(node != (MessageNode*)0)
  {node->Contents()->Draw();
   node = node->Next();
  }
}

void MessageList::ClearAll()
{ MessageNode* node = head;

  while(node != (MessageNode*)0)
  {node->Contents()->Clear();
   node = node->Next();
  }
}

MessageList::~MessageList() 
{ MessageNode *node = head;
  while(node != (MessageNode*)0)
  { MessageNode *next = node->Next();
    delete node;
	node = next;
  }
}