# library.inc
# Author: Alex Verstak
#

# TARGET must be defined. It can be one of: lib, bin.
TARGET = lib

# Target names
TARGET_NAMES = libcs2704ch4.a

# C++ sources
CPP_SOURCES = BlinkMsg.cpp BscFrame.cpp Button.cpp Canvas.cpp \
Clock.cpp Color.cpp Counter.cpp Directry.cpp File.cpp FlChoose.cpp \
FlNavgat.cpp FlQuery.cpp Frame.cpp FrameMgr.cpp Location.cpp \
LocationNode.cpp Message.cpp MessageList.cpp MessageNode.cpp Panel.cpp \
PolyShape.cpp PrimMsg.cpp Query.cpp Rectangle1.cpp \
Rectangle2.cpp Rectangle3.cpp \
RectangleFactory.cpp Selector.cpp Shape.cpp StopWatch.cpp StrFrame.cpp \
TextBox.cpp TxtFrame.cpp

# C++ headers
CPP_INCLUDES = BlinkMsg.h BscFrame.h Button.h Canvas.h Clock.h \
Color.h Counter.h Directry.h File.h FlChoose.h FlNavgat.h FlQuery.h \
Frame.h FrameMgr.h Location.h LocationNode.h Message.h MessageList.h \
MessageNode.h Panel.h PolyShape.h PrimMsg.h Program.h Query.h Rectangle1.h \
Rectangle2.h Rectangle3.h \
RectangleFactory.h Selector.h Shape.h StopWatch.h StrFrame.h TextBox.h \
TxtFrame.h

# end of library.inc
