#ifndef _TEXTFRAME_H_
#define _TEXTFRAME_H_

#include "BasicFrame.h"
#include "wx.h"

#define endl '\n'

class TextFrame {
 private:
   int               xCoord, yCoord, height, width;
   char             *name;
   BasicTextFrame   *frame;

   void CreateIfNeeded();

public:

   TextFrame(char *name, int x, int y, int w, int h);
   TextFrame(char* name, int x, int y);
   TextFrame(char* name);
   TextFrame();

  ~TextFrame();
            
   void     MoveTo( int newx, int newy);        // change position
   void     Resize( int w, int h);              // change shape
   void     Resize( float factor);              //
   int      IsNamed(char* n);                   // is this your name?
   TextFrame& operator<<(char  *s);
   TextFrame& operator<<(int    i);
   TextFrame& operator<<(long   l);
   TextFrame& operator<<(float  f);
   TextFrame& operator<<(double d);
   TextFrame& operator<<(char   c);

};


#endif


