#include "Program.h"
#include "Frame.h"



Frame window("Hello World Program", 200, 200, 400, 400);
int lastx;
int lasty;


void OnStart(void) {
  window.Clear();
  window.DrawText("Hello World!", 20, 20);
  lastx = 20;
  lasty = 20;
}

void OnMouseEvent(char *frameName, int x, int y, int buttonState){
  if (buttonState & leftButtonDown) {
    window.Clear();
    window.DrawText("Hello World!",x,y);
    lastx = x; 
    lasty = y;
  }
}

void OnTimerEvent(void){}

void OnPaint(void){
    window.Clear();
    window.DrawText("Hello World!", lastx, lasty);
}
