#include "Program.h"
#include "Frame.h"
#include "Message.h"
#include "Location.h"
#include "Shape.h"

Frame window("Message Test", Location(100,100), Shape(200,200));
Message greeting("Hello World!", Location(20,20));


void OnStart() {
   window.Clear();
   greeting.DisplayIn(window);
   greeting.Draw();
};

void OnMouseEvent(char *frameName, int x, int y, int buttonState){
  if(buttonState & leftButtonDown)
    greeting.MoveTo(Location(x,y));
}


void OnPaint() {
   greeting.Draw(); 
}          

void OnTimerEvent() {
}
