#include "Program.h"
#include "Frame.h"
#include "Message.h"
#include "Location.h"
#include "Shape.h"

Frame window("Message Test", Location(100,100), Shape(200,200));
Message greeting("Hello World!", Location(20,20));
int onoff;

void OnStart() {
   greeting.DisplayIn(window);
   greeting.Draw();
   onoff = 1;
};

void OnMouseEvent(char *frameName, int x, int y, int buttonState){}

void OnTimerEvent() {
   if (onoff) { greeting.Clear(); onoff = 0; }
   else       { greeting.Draw();  onoff = 1; }
}

void OnPaint() {
   if (onoff) greeting.Draw(); 
}          


