#ifndef _BUTTON_H_
#define _BUTTON_H_

#include "wx.h"
#include "Location.h"
#include "Shape.h"

class Button {
 private:
   wxButton *wxb;
   char *buttonName;
   Location location;
   Shape shape;
   void CreateIfNeeded(wxPanel* panel);
   friend class Panel;
 public:
   Button(char* name, Location loc, Shape sh);
   int IsNamed(char* name);
 ~Button();
 };

#endif




