#ifndef _TEXTFRAME_H_
#define _TEXTFRAME_H_

#include "BscFrame.h"
#include "wx.h"
#include "Shape.h"
#include "Location.h"

#define endl '\n'

class TextFrame {
 private:
   Location          location;
   Shape             shape;
   char             *name;
   BasicTextFrame   *frame;

   void CreateIfNeeded();

public:

   TextFrame(char *name, Location loc, Shape sh);
   TextFrame(char* name, Location loc);
   TextFrame(char* name, Shape sh);
   TextFrame(char* name);
   TextFrame();

  ~TextFrame();
            
   void     MoveTo( Location loc);              // change position
   void     Resize( Shape sh);                  // change shape
   void     Resize( float factor);              //
   int      IsNamed(char* n);                   // is this your name?
   TextFrame& operator<<(char  *s);
   TextFrame& operator<<(int    i);
   TextFrame& operator<<(long   l);
   TextFrame& operator<<(float  f);
   TextFrame& operator<<(double d);
   TextFrame& operator<<(char   c);

};


#endif


