#ifndef _RECTANGLE1_H
#define _RECTANGLE1_H

#include "Location.h"
#include "Shape.h"
#include "Canvas.h"

class Rectangle1
{
  private:
	  Location upperLeft;
	  Location upperRight;
	  Location lowerLeft;
	  Location lowerRight;
	  Shape    area;

  public:
	  Rectangle1 (Location corner, Shape shape);
	  void MoveUp    (int deltaY);
	  void MoveDown  (int deltaY);
	  void MoveLeft  (int deltaX);
	  void MoveRight (int deltaX);
	  void Draw(Canvas& canvas);
	  void Clear(Canvas& canvas);
	  ~Rectangle1();
};

#endif