
#include "Button.h"
#include "Program.h"


void OnButtonPush(wxButton& button, wxCommandEvent& event);


Button::Button(char* label, Location loc, Shape sh) 
{
   buttonName = copystring(label);
   location = loc;
   shape = sh;
   wxb = (wxButton*)0;
}

int Button::IsNamed(char* name)
{  return (int)StringMatch(buttonName,name);
}

Button::~Button() {}

void Button::CreateIfNeeded(wxPanel* panel) 
{
   if (!wxb) wxb = new wxButton(panel, (wxFunction)OnButtonPush, buttonName,
                                location.Xcoord(), location.Ycoord(),
                                shape.Width(), shape.Height());
};

void OnButtonPush(wxButton& button, wxCommandEvent& event) 
{
   char* label = copystring(button.GetLabel());
   OnPush(label);
 }

